Skip to content
MyStocks Developers
API v1

API v1

Current stable contract

Versioning policyRelease changelog
Sandbox console

List orders across owned customer accounts

Execution & Order Management (OMS)

GET

/orders/blotter

List orders across owned customer accounts

Sandbox availablelistCustomerOrderBlotter

Customer ID ascending, then createdAt descending within each customer; not global chronological ordering. Scans at most 20 customers and 1,000 orders per request. Continue using nextCursor even when orders is empty. Cursors are scoped to partner, environment and filters. This does not change the master-account /orders endpoint.

Parameters

limitintegerquery

Page size, default 50.

Example: 50

cursorstringquery

Opaque continuation from this endpoint.

symbolstringquery

Instrument symbol.

statusALL | PENDING | WORKING | PARTIALLY_FILLED | FILLED | REJECTED | CANCELLED | EXPIRED | COMPLETEDquery

Canonical execution status; COMPLETED aliases FILLED.

fromstringquery

Inclusive ISO date or timezone-aware timestamp.

tostringquery

Inclusive ISO date (through 23:59:59.999 UTC) or timezone-aware timestamp.

Headers

AuthorizationstringRequired

Bearer sk_sandbox_<your_key> for sandbox requests.

Response fields

ordersobject[]Required
orders[].orderIdstring
orders[].subAccountIdstring
orders[].externalIdstring | null
orders[].symbolstring
orders[].typestring
orders[].statusstring
orders[].canonicalStatusstring
orders[].settlementStatusstring
orders[].quantitynumber
orders[].filledQuantitynumber
orders[].remainingQuantitynumber
orders[].currencystring
orders[].createdAtstring | null
orders[].filledAtstring | null
orders[].settledAtstring | null
orders[].rejectionCodestring | null
orders[].orderLifecyclestring | null

EXPIRED for expiry; expiry is not a rejection.

orders[].cancelReasonstring | null
countintegerRequired
hasMorebooleanRequired
nextCursorstring | nullRequired
orderingstringRequired
scopestring
snapshotModelstring
scannedOrdersinteger
sandboxboolean

Response codes

200Owned customer results with explicit read and continuation limits.
400Invalid bounds, identifiers or cursor.
401Valid environment-specific API key required.
403Required read permission is missing.
429Partner request rate limit exceeded.